Page MenuHomePhabricator

Posting a message on Flow is not possible when cookies are not activated
Closed, ResolvedPublic

Description

Reported there.

The page is displayed, but it is not possible to click on any field (cursor=wait).

Tested on Firefox with Windows 7 Professional or Windows 10, or Google Chrome with Windows 10 by the user.
Tested on Chromium with Ubuntu by me.

Event Timeline

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMar 17 2017, 2:37 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Trizek-WMF updated the task description. (Show Details)Mar 17 2017, 2:38 PM
Pppery renamed this task from Post a message on Flow is not possible when cookies are not activated to Posting a message on Flow is not possible when cookies are not activated.Mar 19 2017, 7:10 PM
Zppix added a subscriber: Zppix.Mar 19 2017, 7:12 PM

This happens because Flow tries to access sessionStorage, which throws an exception. The weird Storer module that Flow uses doesn't handle this correctly.

Change 343939 had a related patch set uploaded (by Catrope):
[mediawiki/extensions/Flow] Remove Storer

https://gerrit.wikimedia.org/r/343939

Change 343939 merged by jenkins-bot:
[mediawiki/extensions/Flow] Remove Storer

https://gerrit.wikimedia.org/r/343939

It seems that disabling cookies kicks a user out of the session, so the edits will be attributed to anon. I think it's expected?

It seems that disabling cookies kicks a user out of the session, so the edits will be attributed to anon. I think it's expected?

Yes, if you disable cookies you cannot be logged in.

Checked the fix in betalabs.

QA Recommendation: Resolve

jmatazzoni closed this task as Resolved.Mar 23 2017, 8:29 PM
jmatazzoni claimed this task.